## org.apache.mahout.math.jet.random
Class Fun

    java.lang.Object
      org.apache.mahout.math.jet.random.Fun

    public final class Fun

extends java.lang.Object

Contains various mathematical helper methods. Implementation: High performance implementation.

This is a port of `gen_fun.cpp` from the C-RAND / WIN-RAND library.

Method Summary
`static double` `bessel2Fkt(double lambda, double beta)`
`static double` `bessi0(double x)` Modified Bessel Functions of First Kind - Order 0.
`static double` `bessi1(double x)` Modified Bessel Functions of First Kind - Order 1.
`static long` `factorial(int n)` Returns `n!`.
`static double` `gamma(double x)` Returns the gamma function `gamma(x)`.
`static double` `logGamma(double x)` Returns a quick approximation of `log(gamma(x))`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### bessel2Fkt

    public static double bessel2Fkt(double lambda,
                                    double beta)

### bessi0

    public static double bessi0(double x)

  Modified Bessel Functions of First Kind - Order 0.

### bessi1

    public static double bessi1(double x)

  Modified Bessel Functions of First Kind - Order 1.

### factorial

    public static long factorial(int n)

  Returns `n!`.

### gamma

    public static double gamma(double x)

  Returns the gamma function `gamma(x)`.

### logGamma

    public static double logGamma(double x)

  Returns a quick approximation of `log(gamma(x))`.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.